package org.springblade.modules.mall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 成本明细
 */
@Data
public class CostBreakdownVO {
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	@ApiModelProperty(value = "第三方商品来源 1-胜天半子 2-唯品尚")
	private String source;
	@ApiModelProperty(value = "第三方商品来源名称")
	private String sourceName;
	@ApiModelProperty(value = "品牌名称")
	private String brandName;
	@ApiModelProperty(value = "商品名称")
	private String goodsName;
	@ApiModelProperty(value = "规格名称")
	private String spceName;
	@ApiModelProperty(value = "名称字符串")
	private String nameStr;
	@ApiModelProperty(value = "协议价")
	private BigDecimal agreementPrice=BigDecimal.ZERO;
	@ApiModelProperty(value = "销量")
	private Integer num=0;
	@ApiModelProperty(value = "总协议价")
	private BigDecimal totalAgreementPrice=BigDecimal.ZERO;

	public String getNameStr() {
		StringBuilder sb = new StringBuilder();
		if (this.brandName != null) {
			sb.append(this.brandName);
		}
		if (this.goodsName != null) {
			sb.append(this.goodsName);
		}
		if (this.spceName != null) {
			sb.append(this.spceName);
		}
		return sb.toString();
	}


}
